## org.eclipse.datatools.sqltools.sqleditor.internal.sql
Class SQLCodeScanner

    java.lang.Object
      org.eclipse.jface.text.rules.RuleBasedScanner
          org.eclipse.datatools.sqltools.sqleditor.internal.sql.SQLCodeScanner

All Implemented Interfaces:
  org.eclipse.jface.text.rules.ICharacterScanner, org.eclipse.jface.text.rules.ITokenScanner

    public class SQLCodeScanner

extends org.eclipse.jface.text.rules.RuleBasedScanner

This class implements a RuleBaseScanner for SQL source code text.

Nested Class Summary
`class` `SQLCodeScanner.SQLWhiteSpaceDetector` This class determines if a character is a whitespace character.

Field Summary

Fields inherited from interface org.eclipse.jface.text.rules.ICharacterScanner
`EOF`

Constructor Summary
`SQLCodeScanner(SQLColorProvider colorProvider)` Constructs an instance of this class using the given color provider.

Method Summary
`void` `setSQLSyntax(ISQLSyntax sqlSyntax)`

Methods inherited from class org.eclipse.jface.text.rules.RuleBasedScanner
`getColumn, getLegalLineDelimiters, getTokenLength, getTokenOffset, nextToken, read, setDefaultReturnToken, setRange, setRules, unread`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLCodeScanner

    public SQLCodeScanner(SQLColorProvider colorProvider)

  Constructs an instance of this class using the given color provider.

Method Detail

### setSQLSyntax

    public void setSQLSyntax(ISQLSyntax sqlSyntax)